Search found 172 matches

Go to advanced search

by ebrahim raeyat
Sun Jun 23, 2019 12:47 pm
Forum: Users Showcase
Topic: controling shear punching of Foundation
Replies: 31
Views: 4755

Re: controling shear punching of Foundation

I suggest we keep the technical developing discussions confined to a separate thread as this is the Users Showcase subforum where people show their final products. Is that Ok with you @ebrahim raeyat ? yes, I wanted, but i think that it may be more understand to be continued. ok, i continue it from...
by ebrahim raeyat
Sun Jun 23, 2019 12:39 pm
Forum: Users Showcase
Topic: controling shear punching of Foundation
Replies: 31
Views: 4755

Re: controling shear punching of Foundation

i can add those by this code, but this way when i want to use them, i must to obtain them by name from the ActiveDocument. i want to know is there an easier way to do this? faces = [] for f in intersection_faces: face = App.ActiveDocument.addObject("Part::Feature", "face") face.Shape = f faces.appen...
by ebrahim raeyat
Sun Jun 23, 2019 12:34 pm
Forum: Users Showcase
Topic: controling shear punching of Foundation
Replies: 31
Views: 4755

Re: controling shear punching of Foundation

punch.jpg
punch.jpg (24.73 KiB) Viewed 685 times
by ebrahim raeyat
Sun Jun 23, 2019 12:31 pm
Forum: Users Showcase
Topic: controling shear punching of Foundation
Replies: 31
Views: 4755

Re: controling shear punching of Foundation

I develop punch software and convert it to "punch" object. I want to add punch faces to punch object as a property, but i don't know what kind of property i must to use for it. my faces are type of " Part.Face " this is output error: AttributeError: Attribute (Name: facess) error: 'type in list must...
by ebrahim raeyat
Sun Jun 09, 2019 8:15 pm
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 200
Views: 15414

Re: Automate Reinforcement GSoC proposal

It is very useful. I think some of entry such cover, size of ties and etc can be set in configuration in freecad's configuration or if we can save the UI entry of last input from user. this way, save a lot of user's time. thanks.
by ebrahim raeyat
Sat Jun 01, 2019 9:04 pm
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 200
Views: 15414

Re: Automate Reinforcement GSoC proposal

in previous post i have been used custom configuration.
3- also i think "cover" can be equal for all side of column in real work. this way form become shorter and cleaner.
by ebrahim raeyat
Sat Jun 01, 2019 9:00 pm
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 200
Views: 15414

Re: Automate Reinforcement GSoC proposal

Try using latest branch " automate " I clone latest automate branch and i have 1 notation and 1 error: 1- tab order in Ui form is not in sequence. 2- when i want to draw a column and click apply i give this error: Traceback (most recent call last): File "/home/ebi/.FreeCAD/Mod/FreeCAD-Reinforcement...
by ebrahim raeyat
Tue May 14, 2019 12:48 am
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 200
Views: 15414

Re: Automate Reinforcement GSoC proposal

I finished almost beam requirements for drawing longitudinal beam's profile. next step i want to import architectural IFC model from another software (ETABS in my case) to freecad. i want to read dimensions of beam from model, then match rebar information for each beam and then create BeamType eleme...
by ebrahim raeyat
Tue Apr 30, 2019 6:53 pm
Forum: FEM
Topic: OpenSees, the Open System for Earthquake Engineering Simulation
Replies: 22
Views: 2111

Re: OpenSees, the Open System for Earthquake Engineering Simulation

Hello, I found these link/documents. https://openseespydoc.readthedocs.io/en/latest/ https://buildmedia.readthedocs.org/media/pdf/openseespydoc/latest/openseespydoc.pdf http://www.joseabell.com/opensees-coming-to-python.html The manual is complete with procedures and examples. Is there the possibil...
by ebrahim raeyat
Thu Apr 25, 2019 8:46 pm
Forum: Draft, Arch & BIM
Topic: rebar based on wire
Replies: 25
Views: 1273

Re: rebar based on wire

I like the coin idea. Especially if I think of the reinforcement we do on work ... But I would not move all to coin. Might it be a good idea to leave the wire as a real shape and only make the solid a pivy.coin node. With this all rebar operation could be done with the wire, like material bill, pla...

Go to advanced search